Update Workspace

This endpoint allows users to update video workspace that has previously been created.

Path Parameters
  • workspace_id
    Type: string
    required

    Gumlet workspace ID. You can get it on Gumlet dashboard or retrieve it using list workspace API.

Body
application/json
  • aws
    Type: object

    This is a required field if workspace type is aws.

  • azure
    Type: object

    This is a required field if workspace type is azure.

  • backblaze
    Type: object

    This is a required field if workspace type is backblaze.

  • channel_settings
    Type: object

    Configurations to set various channel settings.

  • cloudflare
    Type: object

    This is a required field if workspace type is cloudflare.

  • cloudinary
    Type: object

    This is a required field if workspace type is cloudinary.

  • default_profile_id
    Type: string

    Gumlet provides the functionality of creating multiple video assets using the same set of parameters.

  • dostorage
    Type: object

    This is a required field if workspace type is dostorage.

  • gcs
    Type: object

    This is a required field if workspace type is gcs.

  • insight_property_id
    Type: string

    The five to ten character unique identifier of the Gumlet Insight Property available on the dashboard.

  • linode
    Type: object

    This is a required field if workspace type is linode.

  • name
    Type: string

    video workspace name

Responses
  • application/json
  • application/json
Request Example for post/video/workspaces/{workspace_id}
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const videoWorkspace = await client.videoWorkspaces.update('workspaceId');

console.log(videoWorkspace);
{
  "id": "646df1c9173a4a2fcac180b4",
  "name": "aws-source",
  "type": "aws",
  "created_at": "2023-05-24T11:15:21.624Z",
  "updated_at": "2024-01-24T11:24:16.003Z",
  "video_protection": {
    "signed_url": true,
    "signed_url_secret": "87a2e2fbb2318f902b882c532bc703a8"
  },
  "player_config": {
    "preload": false,
    "autoplay": false,
    "disable_seek": false,
    "disable_player_controls": false,
    "powered_by_gumlet_overlay": false,
    "allow_drm_protected_videos": false,
    "loop": false,
    "player_color": "#6658ea",
    "include_seo": true,
    "subtitle_enabled": false,
    "pixel_tags": {},
    "logo_width": 100,
    "logo_height": 100,
    "dynamic_watermark": false,
    "watermark_font_size": 20,
    "watermark_font_color": "#ff0000",
    "watermark_bg_color": "transparent",
    "watermark_interval": 1000
  },
  "default_profile_id": "646df1c9173a4a2fcac180b7",
  "insight_property_id": "646df0aa173a4a2fcac18009",
  "aws": {
    "bucket_name": "my-bucket-test",
    "bucket_region": "ap-southeast-1",
    "access_key": "BQUA6QFXVWHAAB6IO2X1",
    "secret": "****************"
  },
  "embed_details": {
    "preload": false,
    "autoplay": false,
    "logo_width": 100,
    "logo_height": 100,
    "player_color": "#6658ea",
    "is_seo": true,
    "dynamic_watermark": false,
    "watermark_font_size": 20,
    "watermark_font_color": "#ff0000",
    "watermark_bg_color": "transparent",
    "watermark_interval": 1000,
    "disable_seek": false,
    "disable_player_controls": false,
    "powered_by_gumlet_overlay": false,
    "allow_drm_protected_videos": false,
    "pixel_tags": {},
    "loop": false,
    "subtitle_enabled": false
  },
  "folders": [
    "folder",
    "folder 2",
    "folder 27",
    "folder 4"
  ],
  "channel_settings": {
    "title": "myTitle",
    "active": false,
    "description": "desc",
    "privacy_type": "private",
    "custom_logo": true,
    "logo_url": "https://dev-video.gumlet.io/626d21c3473a4a2faac180b4/channel/logo.png",
    "cname": [
      "okj.com",
      "sd.com",
      "safd.com"
    ],
    "temp_cname": [
      "okj.com",
      "safd.com",
      "sd.com"
    ]
  }
}